summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2012-06-05 01:23:37 +0000
committerIgor Pashev <pashev.igor@gmail.com>2012-06-05 01:23:37 +0000
commit18d913298f40405dcc49f074bed5de8d53b05840 (patch)
tree6f5206000714ff9d4800081bbf15ad5aafdad784
parenta1ecd7b6bd8460a639d1d488b8b9c9acba9264e6 (diff)
downloadlive-18d913298f40405dcc49f074bed5de8d53b05840.tar.gz
Begin setup
-rwxr-xr-xsetup37
1 files changed, 37 insertions, 0 deletions
diff --git a/setup b/setup
new file mode 100755
index 0000000..b91829b
--- /dev/null
+++ b/setup
@@ -0,0 +1,37 @@
+#!/usr/bin/bash
+
+set -e
+set -u
+
+DRIVES=()
+
+
+dialog --backtitle 'Dyson Installer' \
+--title "Dyson Installer" --yesno \
+'
+Dyson is an operating system derived from Debian and based on Illumos core (kernel and libc). To learn more visit http://osdyson.org
+
+This installer will guide you though disk paritioning, filesystem creation, installation of base system and minimal configuration.
+
+Please note, this system IS VERY EXPERIMENTAL. You can LOOSE ALL YOUR DATA which this system can reach ;-)
+
+Whould you like to continue?
+
+' 20 60
+
+
+fdisk_dialog()
+{
+ while read -r id desc; do
+ DRIVES+=("$id")
+ DRIVES+=("$desc")
+ done << drives
+ $(format </dev/null | grep -E ' [0-9]+\. ' | sed -r 's, *([0-9]+)\. (\w+) *<(.+)> *,\2 \3,')
+drives
+ cmd=(dialog --title 'Drive Partitioning' --menu "Available drives:" 22 76 16)
+ "${cmd[@]}" "${DRIVES[@]+${DRIVES[@]}}"
+}
+
+
+fdisk_dialog
+